Bug 136099 - Sidebar: Position and Size align
Summary: Sidebar: Position and Size align
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2020-08-25 09:30 UTC by andreas_k
Modified: 2020-09-22 09:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
position and size sidebar layout proposal right (65.23 KB, image/png)
2020-08-25 09:30 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2020-08-25 09:30:15 UTC
Created attachment 164660 [details]
position and size sidebar layout proposal right

Area, Line, Glow, Shadow sidebar items have an two column layout. First column is the label and second column is the widget.

I propose to have the same layout also for the Position and Size sidebar like shown in the attachment (left master right proposal).
Comment 1 Commit Notification 2020-09-03 20:13:22 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b9e3341178ffe62ab0fc054e7046f124eb975c38

tdf#136099 Sidebar position and size alignment update

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Heiko Tietze 2020-09-22 08:56:48 UTC
Would remove many controls but anyway. Looks cleaner, +1. Rotation/Flip is misaligned, no idea how to solve this.

Since you submitted a patch meanwhile, is it resolved/fixed?
Comment 3 andreas_k 2020-09-22 09:07:37 UTC
(In reply to Heiko Tietze from comment #2)
> Rotation/Flip is
> misaligned, no idea how to solve this.
> 

what is misaligned? cause of the "clock" rotation widget?
Comment 4 Heiko Tietze 2020-09-22 09:26:22 UTC
(In reply to andreas_k from comment #3)
> what is misaligned? cause of the "clock" rotation widget?

The rotation while spawns over two "lines", flip has no close relation to its controls, and the rotation spinner is also displaced from its label.